Bug 1574938 - Volume with name 'None' listed in grafana dashboard
Summary: Volume with name 'None' listed in grafana dashboard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On: 1518610 1589765
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-05-04 11:45 UTC by Nishanth Thomas
Modified: 2018-09-04 07:06 UTC (History)
5 users (show)

Fixed In Version: tendrl-ui-1.6.3-2.el7rhgs tendrl-ansible-1.6.3-4.el7rhgs tendrl-notifier-1.6.3-3.el7rhgs tendrl-commons-1.6.3-5.el7rhgs tendrl-api-1.6.3-3.el7rhgs tendrl-monitoring-integration-1.6.3-3.el7rhgs tendrl-node-agent-1.6.3-5.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (125.13 KB, image/png)
2018-05-04 11:45 UTC, Nishanth Thomas
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl monitoring-integration issues 447 0 None None None 2018-05-07 14:16:11 UTC
Red Hat Bugzilla 1519741 0 unspecified CLOSED [Web-Admin] Seeing a new cluster entry 'NONE' listed in cluster id field 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:47 UTC

Internal Links: 1519741

Description Nishanth Thomas 2018-05-04 11:45:32 UTC
Created attachment 1431301 [details]
screenshot

Description of problem:
Volume with name 'None' is listed in grafana dashboard

Version-Release number of selected component (if applicable):
tendrl-monitoring-integration-1.6.3-1.el7rhgs

How reproducible:
80%

Steps to Reproduce:
1.Import a cluster with few volumes
2.Create/delete volumes in the cluster

Actual results:
Volume with name 'None' is listed in grafana dashboar

Expected results:
Grafana dashboard should reflect the actual volumes present in the cluster

Comment 5 Martin Bukatovic 2018-06-18 14:54:25 UTC
Linking a similar BZ about None cluster(s) in the dashboard.

Comment 6 Filip Balák 2018-06-27 14:13:04 UTC
As part of BZ 1518610 I created and deleted several volumes. All have correctly disappear from UI and Grafana and there were no None volume records. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-5.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-7.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-5.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-5.el7rhgs.noarch
tendrl-node-agent-1.6.3-7.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-4.el7rhgs.noarch

Comment 8 errata-xmlrpc 2018-09-04 07:05:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.